> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Instagram 帖子点赞用户

> 采集公开 Instagram 帖子点赞列表中的账号。

# Instagram 帖子点赞用户

采集公开 Instagram 帖子点赞列表中显示的账号，返回用户名、显示名称、头像和认证状态。接口返回异步任务，完成后读取标准结果。

```json theme={null}
{
  "url": "https://www.instagram.com/p/DRhvwVLAHAG/",
  "results_limit": 100
}
```

提供公开帖子、Reel 或 IGTV 的 url，返回该帖子点赞列表中展示的账号；results\_limit 设置返回数量（默认 100，最多 1000）。

## 标准结果字段

任务结果使用下方稳定的 SocQ 字段。系统会统一来源特有的字段名和格式，但不会推断或补充来源未提供的数据。如需缩小返回字段集合，MCP 查询使用 `fields`，Typed 工具使用 `_result_fields`，CLI 使用 `--result-fields`。声明字段的值为 `null` 时仍会保留。

| 字段 | 类型 | 可空 | 说明 |
| - | - | - | - |
| `id` | `string` | 是 | 当前结果项的唯一标识。 |
| `platform` | `string` | 否 | 结果所属的平台，例如 `instagram` 或 `linkedin`。 |
| `resource` | `string` | 否 | 该结果对应的 SocQ 资源，例如 `videos` 或 `comments`。 |
| `type` | `string` | 否 | 结果项的类别，例如 `video`、`post` 或 `comment`。 |
| `url` | `string` | 是 | 结果项的公开访问地址（如可获得）。 |
| `published_at` | `string` | 是 | 源内容的发布时间（如可获得），使用 ISO 8601 格式。 |
| `collected_at` | `string` | 否 | SocQ 采集或处理该结果的时间，使用 ISO 8601 格式。 |
| `actor` | `object` | 是 | 关系中的主体账号。 |
| `actor.id` | `string` | 是 | 关联账号的唯一标识。 |
| `actor.username` | `string` | 是 | 账号的公开用户名或账号标识。 |
| `actor.name` | `string` | 是 | 关联账号的显示名称。 |
| `actor.url` | `string` | 是 | 关联账号的公开访问地址（如可获得）。 |
| `actor.avatar_url` | `string` | 是 | 账号头像图片的地址。 |
| `actor.is_verified` | `boolean` | 是 | 账号是否已通过平台认证。 |
| `actor.is_private` | `boolean` | 是 | 账号是否为私密账号。 |
| `related_actor` | `object` | 是 | 与主体账号存在关系的账号。 |
| `related_actor.id` | `string` | 是 | 关联账号的唯一标识。 |
| `related_actor.username` | `string` | 是 | 账号的公开用户名或账号标识。 |
| `related_actor.name` | `string` | 是 | 关联账号的显示名称。 |
| `related_actor.url` | `string` | 是 | 关联账号的公开访问地址（如可获得）。 |
| `related_actor.avatar_url` | `string` | 是 | 账号头像图片的地址。 |
| `related_actor.is_verified` | `boolean` | 是 | 账号是否已通过平台认证。 |
| `related_actor.is_private` | `boolean` | 是 | 账号是否为私密账号。 |
| `relationship` | `string` | 是 | 该结果表示的关系，例如 `follower`、`following` 或 `retweeter`。 |

以下示例展示任务完成后的响应格式，具体数据以实际查询结果为准。

## 任务完成响应

```json theme={null}
{
  "code": 200,
  "data": {
    "task_id": "example-instagram-post-likers",
    "status": "succeeded",
    "public_id": "instagram/post-likers",
    "result_count": 1,
    "credits_amount": 0.3,
    "results": {
      "limit": 50,
      "next_cursor": null,
      "has_more": false,
      "schema_id": "relationship",
      "schema_version": "1.0",
      "items": [
        {
          "id": "75500000001",
          "platform": "instagram",
          "resource": "post-likers",
          "type": "profile",
          "url": "https://www.instagram.com/example_user/",
          "published_at": null,
          "collected_at": "2026-11-09T06:37:43Z",
          "actor": null,
          "related_actor": {
            "id": "75500000001",
            "username": "example_user",
            "name": "Example User",
            "url": "https://www.instagram.com/example_user/",
            "avatar_url": "https://example.com/avatar.jpg",
            "is_verified": false,
            "is_private": false
          },
          "relationship": "liker"
        }
      ]
    }
  }
}
```


## OpenAPI

````yaml zh/api-manual/agent-api/agent-api.json POST /v1/instagram/post-likers
openapi: 3.1.0
info:
  title: SocQ Agent API 中文版
  version: v1-49b371f0f690
  description: 根据 SocQ 能力目录生成的异步社交数据 API。
servers:
  - url: https://api.socq.ai
security: []
paths:
  /v1/instagram/post-likers:
    post:
      tags:
        - instagram
      summary: Instagram 帖子点赞用户
      description: 采集公开 Instagram 帖子点赞列表中的账号。
      operationId: socq_instagram_post_likers
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              additionalProperties: false
              properties:
                callback_url:
                  type: string
                  format: uri
                  description: 可选的任务完成回调 URL。
                results_limit:
                  type: integer
                  minimum: 1
                  maximum: 1000
                  default: 100
                  description: 最多保存的结果数，实际结果可能少于该值。
                url:
                  type: string
                  minLength: 1
                  description: 公开 Instagram 帖子、Reel 或 IGTV 链接。
              required:
                - url
              description: >-
                提供公开帖子、Reel 或 IGTV 的 url，返回该帖子点赞列表中展示的账号；results_limit 设置返回数量（默认
                100，最多 1000）。
      responses:
        '200':
          description: 任务已受理
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSubmitResponse'
        '422':
          description: Input validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentValidationErrorResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    AgentSubmitResponse:
      type: object
      properties:
        code:
          type: integer
          const: 200
          description: HTTP 业务状态码。
        data:
          type: object
          properties:
            task_id:
              type: string
              description: 任务 ID，用于查询任务状态和结果。
            status:
              type: string
              description: 任务当前状态。
            created_time:
              type:
                - string
                - 'null'
              description: 任务创建时间。
          required:
            - task_id
            - status
    AgentValidationErrorResponse:
      type: object
      properties:
        code:
          type: integer
          const: 422
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
            details:
              type: object
          required:
            - message
            - type
      required:
        - code
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: '使用 `Authorization: Bearer <token>` 请求头进行身份验证。'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 也可以通过 `x-api-key` 请求头提供 API Key。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.